# PetscMallocSetDumpLog

Activates logging of all calls to PetscMalloc().

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscMallocSetDumpLog(void)

Not Collective

### Options Database Key

-malloc_log -Activates PetscMallocDumpLog()

### See Also

PetscMallocDump(), PetscMallocDumpLog()

Level:advanced
Location: src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages